Bug 504988 - [RHEL4 Xen]: i386 Guest crash when host has >= 64G RAM
[RHEL4 Xen]: i386 Guest crash when host has >= 64G RAM
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-xen (Show other bugs)
4.8
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Chris Lalancette
Virtualization Bugs
: ZStream
: 506348 533623 (view as bug list)
Depends On: 448115 664784
Blocks: 458302 574392
  Show dependency treegraph
 
Reported: 2009-06-10 06:24 EDT by Chris Lalancette
Modified: 2011-02-16 10:37 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 448115
Environment:
Last Closed: 2011-02-16 10:37:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backport of xen-unstable 13549 (1.00 KB, patch)
2009-06-18 02:44 EDT, Chris Lalancette
no flags Details | Diff

  None (edit)
Comment 1 Chris Lalancette 2009-06-16 04:27:35 EDT
Taking this bug...

I'm working with Gurhan to do the testing on it, and I've got the patch all set to go once he confirms it fixes the problem.

Chris Lalancette
Comment 2 Chris Lalancette 2009-06-17 04:29:28 EDT
*** Bug 506348 has been marked as a duplicate of this bug. ***
Comment 4 Chris Lalancette 2009-06-18 02:44:47 EDT
Created attachment 348382 [details]
Backport of xen-unstable 13549
Comment 7 Vivek Goyal 2009-07-28 13:22:57 EDT
Committed in 89.7.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 8 Chris Lalancette 2009-11-24 03:17:06 EST
*** Bug 533623 has been marked as a duplicate of this bug. ***
Comment 18 Lei Wang 2010-12-21 04:53:15 EST
Test with:
host: x86_64
xen-3.0.3-120.el5
kernel-xen-2.6.18-238.el5

guest: rhel4-32 PV guest

reproduced the bug with kernel-xenU-2.6.9-89.EL:
create the guest failed and the following error reports in console:
... ...
 printing eip:
1fd69000 -> *pde = 00000011:e0295007
Unable to handle kernel paging request at virtual address 15555550
... ...

verified with kernel-xenU-2.6.9-93.EL:
the guest boots successfully, we could login and do normal operations.

According to the test results above, move to VERIFIED.
Comment 19 Lei Wang 2010-12-21 05:05:16 EST
Additional info for comment18:
The host has 1T memory which is more than 64G.
Comment 20 errata-xmlrpc 2011-02-16 10:37:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html

Note You need to log in before you can comment on or make changes to this bug.